Skip to navigation

Get multiple end users

Get multiple end users. You can specify how many users appear per page, and which user id to start from. Alternatively, supply an external_id query parameter to look up a single end user by their caller-supplied identifier. When external_id is supplied, the 200 response is a single end user object (same shape as GET /v2/end-users/{end_user_id}) and is mutually exclusive with cursor/limit pagination. The external_id query parameter is available for custom channel integrations only (V1).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

external_idstringOptional<=36 characters

Look up a single end user by the external identifier set at creation or via PATCH. Returns the matching end user with the same shape as GET /v2/end-users/{end_user_id}, or 404 if no mapping exists. Mutually exclusive with cursor/limit pagination. Available for custom channel integrations only (V1).

cursorstringOptionalformat: "id"
The ID that marks the start or beginning of the returned records
limitintegerOptional1-100
The number of records to return

Response

OK. When external_id is supplied, returns a single end user object. Otherwise returns a paginated list of end users.

object
OR
object

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error